Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/memchunk.h File Reference

`#include "types.h"`

Go to the source code of this file.

## Data Structures
struct | memchunk
## Functions
memchunk * | memchunkAlloc (int size)
void | memchunkFree (memchunk *m)
memchunk * | memchunkResize (memchunk *m, int size)
memchunk * | memchunkClone (const memchunk *m)

## Function Documentation

memchunk* memchunkAlloc | ( | int | size | ) |

| Definition at line 31 of file memchunk.c. Referenced by b64dec, memchunkClone, pkcs5PadCopy, and pkcs5UnpadCopy.

memchunk* memchunkClone | ( | const memchunk * | m | ) |

| Definition at line 96 of file memchunk.c.

void memchunkFree | ( | memchunk * | m | ) |

| Definition at line 53 of file memchunk.c.

memchunk* memchunkResize | ( | memchunk * | m,
|  | int | size
| ) |

| Definition at line 68 of file memchunk.c. Referenced by pkcs5Pad.